0
# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 8.5 (jessie)
Release:        8.5
Codename:       jessie

I am installing a software which requires libssl1.1.

How / Where can I find this package for debian jessie 8.5?

2

On Debian 8, you can install the Debian 9 libssl1.1 package:

wget http://deb.debian.org/debian/pool/main/o/openssl/libssl1.1_1.1.0j-1~deb9u1_amd64.deb
sudo dpkg -i libssl1.1_1.1.0j-1~deb9u1_amd64.deb

Note that you will have to keep an eye on eventual security updates manually, or configure repositories with pinning to automatically pull libssl1.1 from Debian 9 while avoiding a full-blown upgrade to Debian 9.

  • So stretch is debian 9 ? So he can just download the .deb file from the links down there. – PrograMed IP Mar 19 at 9:45
  • Yeah, I edited my answer so it won't cause any problem for him. – PrograMed IP Mar 19 at 9:49
  • 1
    Since you’d come up with the gist of it, I took the liberty of re-writing your answer rather than adding my own, I hope you don’t mind (feel free to revert if you do). – Stephen Kitt Mar 19 at 9:51
  • Ok no problem @StephenKitt – PrograMed IP Mar 19 at 10:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.